Bug 169255 - Please provide support for hostap driver & prism cards?
Please provide support for hostap driver & prism cards?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-26 04:57 EDT by morgan read
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.6.0-3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 07:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2005-09-26 04:57:43 EDT
Description of problem:
Please provide support for hostap driver & prism cards.
Also, entered bug with hostap (see next comment).
Comment 1 morgan read 2005-09-26 05:00:39 EDT
hostap bug <http://hostap.epitest.fi/bugz/show_bug.cgi?id=72>.
Thanks.
Comment 2 Dan Williams 2005-09-26 07:43:09 EDT
This bug should really be against the kernel.  HostAP was accepted recently in
the upstream kernel, which means it _might_ be in FC4 if the FC4 kernel is
revved in the future.  Normally though, Fedora kernels track upstream kernels
quite closely, so the best way to get a new driver is to get Linus and crew to
accept it.
Comment 3 Dave Jones 2005-09-26 15:19:41 EDT
will be in fc5.
Comment 4 morgan read 2005-09-27 05:44:23 EDT
So, the inclusion of hostap in kernel will fix this while it's broken with my
externally compiled hostap driver (which works fine)?
Comment 5 Dave Jones 2005-09-27 18:19:24 EDT
from the kernel-side, there's nothing to be done as far as I can tell.
If networkmanager needs any changes, that will happen in rawhide.

Reassigning back to NM, and changing to devel.
Comment 6 Dan Williams 2005-09-28 10:47:47 EDT
What exactly goes wrong with your custom-compiled hostap driver?  Can you run
NetworkManager with "/usr/bin/NetworkManager --no-daemon", connect to an access
point, and attach the log to this bug report?

If hostap conforms to the Linux WEXT specification, it _should_ work correctly
with NetworkManager already.
Comment 7 morgan read 2005-09-29 05:58:09 EDT
Output of "/usr/bin/NetworkManager --no-daemon" following and below diff between
dmesg before and after.

[root@morgansmachine ~]# NetworkManager --no-daemon
NetworkManager: <information>   starting...
NetworkManager: <information>   eth0: Driver support level for 'sis900' is
fully-supported
NetworkManager: <information>   nm_device_new(): waiting for device's worker
thread to start
NetworkManager: <information>   nm_device_new(): device's worker thread
started, continuing.
NetworkManager: <information>   Now managing wired device 'eth0'.
NetworkManager: <information>   named started with pid 3041
NetworkManager: <debug info>    [1127960414.134116]  (): New device added
(hal udi is '/org/freedesktop/Hal/devices/pcmcia_49167_0').

Also diff of dmesg before & after:
[morgan@morgansmachine ~]$ diff ./Desktop/dmesg.before ./Desktop/dmesg.after
678a679,722
> eth0: Media Link Off
> cs: memory probe 0xa0000000-0xa0ffffff: clean.
> hostap_crypt: registered algorithm 'NULL'
> hostap_cs: 0.3.7 - 2005-02-12 (Jouni Malinen <jkmaline@cc.hut.fi>)
> hostap_cs: setting Vcc=33 (constant)
> hostap_cs: CS_EVENT_CARD_INSERTION
> hostap_cs: setting Vcc=50 (from config)
> Checking CFTABLE_ENTRY 0x01 (default 0x01)
> IO window settings: cfg->io.nwin=1 dflt.io.nwin=1
> io->flags = 0x0046, io.base=0x0000, len=64
> hostap_cs: Registered netdevice wifi0
> hostap_cs: index 0x01: Vcc 5.0, irq 3, io 0x0100-0x013f
> prism2_hw_init: initialized in 194 ms
> wifi0: NIC: id=0x801b v1.0.0
> wifi0: PRI: id=0x15 v1.1.1
> wifi0: STA: id=0x1f v1.7.4
> wifi0: registered netdevice wlan0
> prism2: wlan0: operating mode changed 3 -> 2
> hostap_crypt: registered algorithm 'WEP'
> wifi0: TXEXC - status=0x0004 ([Discon]) tx_control=000c
>    retry_count=0 tx_rate=0 fc=0x4108 (Data::0 ToDS)
>    A1=00:00:00:00:00:00 A2=00:30:84:1f:ae:f7 A3=33:33:00:00:00:16
A4=00:00:00:00:00:00
> wifi0: TXEXC - status=0x0004 ([Discon]) tx_control=000c
>    retry_count=0 tx_rate=0 fc=0x4108 (Data::0 ToDS)
>    A1=00:00:00:00:00:00 A2=00:30:84:1f:ae:f7 A3=ff:ff:ff:ff:ff:ff
A4=00:00:00:00:00:00
> wifi0: LinkStatus=1 (Connected)
> wifi0: LinkStatus: BSSID=00:0e:83:28:62:e0
> wifi0: LinkStatus=2 (Disconnected)
> wifi0: LinkStatus: BSSID=00:0e:83:28:62:e0
> wifi0: LinkStatus=2 (Disconnected)
> wifi0: LinkStatus: BSSID=44:44:44:44:44:44
> wifi0: LinkStatus=2 (Disconnected)
> wifi0: LinkStatus: BSSID=44:44:44:44:44:44
> wifi0: LinkStatus=2 (Disconnected)
> wifi0: LinkStatus: BSSID=44:44:44:44:44:44
> wlan0: Trying to join BSSID 00:0e:83:25:1c:d0
> wifi0: LinkStatus=1 (Connected)
> wifi0: LinkStatus: BSSID=00:0e:83:25:1c:d0
> wifi0: dropped unencrypted TX data frame (drop_unencrypted=1)
> wifi0: dropped unencrypted TX data frame (drop_unencrypted=1)
> wifi0: dropped unencrypted TX data frame (drop_unencrypted=1)
> wlan0: no IPv6 routers present
> wifi0: dropped unencrypted TX data frame (drop_unencrypted=1)
> wifi0: dropped unencrypted TX data frame (drop_unencrypted=1)
[morgan@morgansmachine ~]$


Note You need to log in before you can comment on or make changes to this bug.